View Issue Details

IDProjectCategoryView StatusLast Update
0001395DraftFeaturepublic2014-05-07 22:28
Reporteryorik Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Summary0001395: Draft - add a pref setting to disable auto-face in closed draft objects
DescriptionThis way things would be more unified between draft and sketcher.
TagsNo tags attached.
FreeCAD Information

Relationships

parent of 0001528 closedyorik Undo Wireframe Circle After Delete Generates Solid Disc 

Activities

yorik

2014-02-11 21:02

administrator   ~0004188

Last edited: 2014-02-11 21:03

View 2 revisions

Hm this is actually pretty dangerous... One could change the setting, open a file with suometing built in a draft object, then the imported object wouldn't be a face anymore, which would make the objects built on it fail.

I must think to another solution, maybe a per-object property...

yorik

2014-02-24 15:22

administrator   ~0004291

Likely we'll need a per-object property that says if it must become a face or not...

Related Changesets

FreeCAD: master 96bba087

2014-05-08 00:03:00

yorik

Details Diff
Draft: Filling objects with faces is now optional - fixes 0001395

Closable Draft objects now have a new MakeFace property, that specifies
if they must be turned into a face or stay a wire only. Older Draft
objects continue to behave the old way for compatibility. The default
behaviour can be set in Draft Preferences -> Fill objects with faces
Affected Issues
0001395
mod - src/Mod/Draft/Draft.py Diff File
mod - src/Mod/Draft/Draft_rc.py Diff File
mod - src/Mod/Draft/Resources/ui/userprefs-base.ui Diff File
mod - src/Mod/Draft/Resources/ui/userprefs-visual.ui Diff File

Issue History

Date Modified Username Field Change
2014-02-09 14:42 yorik New Issue
2014-02-09 14:42 yorik Status new => assigned
2014-02-09 14:42 yorik Assigned To => yorik
2014-02-09 14:42 yorik Project FreeCAD => Draft
2014-02-11 21:02 yorik Note Added: 0004188
2014-02-11 21:03 yorik Note Edited: 0004188 View Revisions
2014-02-24 15:22 yorik Note Added: 0004291
2014-05-03 16:25 yorik Relationship added parent of 0001528
2014-05-07 22:28 yorik Changeset attached => FreeCAD Master master 96bba087
2014-05-07 22:28 yorik Status assigned => closed
2014-05-07 22:28 yorik Resolution open => fixed